Name:           cog
Version:        0.3.0
Release:        2%{?dist}
Summary:        A small single “window” launcher for the WebKit WPE port

License:        MIT
URL:            http://www.github.com/igalia/%{name}
Source0:        http://github.com/igalia/cog/archive/v%{version}/%{name}-%{version}.tar.xz

Requires:  wpewebkit
Requires:  wpebackend-fdo
BuildRequires: cmake
BuildRequires: wpewebkit-devel
BuildRequires: wpebackend-fdo-devel
BuildRequires: libwpe-devel
BuildRequires: gcc-c++
BuildRequires: libwayland-client-devel
BuildRequires:  libwayland-egl-devel
BuildRequires:  mesa-libEGL-devel

%description
Cog is a small single “window” launcher for the WebKit WPE port.
It is small, provides no user interface, and is suitable to be used as a Web
application container. The “window” may be fullscreen depending on the WPE
backend being used.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries, build data, and header
files for developing applications that use %{name}

%prep
%autosetup -p1 -n %{name}-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=Release \
    ..
popd

%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%files
%license COPYING
%{_libdir}/libcogcore.so.0.3.0
%{_libdir}/libcogplatform-fdo.so
%{_bindir}/cog*

%files devel
%{_includedir}/cog/
%{_libdir}/libcogcore.so
%{_libdir}/pkgconfig/cogcore.pc

%changelog
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 21 2019 Chris King <bunnyapocalypse@protonmail.org> - 0.3.0-1
- Innitial RPM package.
